CVE-2017-17879

NameCVE-2017-17879
DescriptionIn ImageMagick 7.0.7-16 Q16 x86_64 2017-12-21, there is a heap-based buffer over-read in ReadOneMNGImage in coders/png.c, related to length calculation and caused by an off-by-one error.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1227-1, DSA-4074-1, DSA-4204-1
NVD severitymedium (attack range: remote)
Debian Bugs885125

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12fixed
jessie (security)8:6.8.9.9-5+deb8u15fixed
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u6fixed
buster, sid8:6.9.10.14+dfsg-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)8:6.9.9.34+dfsg-3medium885125
imagemagicksourcejessie8:6.8.9.9-5+deb8u12mediumDSA-4204-1
imagemagicksourcestretch8:6.9.7.4+dfsg-11+deb9u4mediumDSA-4074-1
imagemagicksourcewheezy8:6.7.7.10-5+deb7u19mediumDLA-1227-1

Notes

https://github.com/ImageMagick/ImageMagick/issues/906
https://github.com/ImageMagick/ImageMagick/commit/72b3994a948a8a90dc664f3e7f72464878a31fbf
ImageMagick-6: https://github.com/ImageMagick/ImageMagick/commit/e41f18ecccbdd1c38e1382057718e91e8f8d6d80

Search for package or bug name: Reporting problems